searchNodes=[{"ref":"Everything.Params.html","title":"Everything.Params","type":"module","doc":""},{"ref":"Everything.Params.html#check/1","title":"Everything.Params.check/1","type":"function","doc":""},{"ref":"Everything.Params.html#t:language/0","title":"Everything.Params.language/0","type":"type","doc":""},{"ref":"Everything.Params.html#t:sort_by/0","title":"Everything.Params.sort_by/0","type":"type","doc":""},{"ref":"Everything.Params.html#t:t/0","title":"Everything.Params.t/0","type":"type","doc":""},{"ref":"NewsApi.html","title":"NewsApi","type":"module","doc":"Interface to the static endpoints of the News API. See the API docs for more information."},{"ref":"NewsApi.Base.html","title":"NewsApi.Base","type":"module","doc":"Provides general request making and handling functionality (for internal use)."},{"ref":"NewsApi.Base.html#attempt_again?/2","title":"NewsApi.Base.attempt_again?/2","type":"function","doc":""},{"ref":"NewsApi.Base.html#backoff/1","title":"NewsApi.Base.backoff/1","type":"function","doc":""},{"ref":"NewsApi.Base.html#get/3","title":"NewsApi.Base.get/3","type":"function","doc":"General HTTP GET request function. Takes a url part and optionally a api_key and list of params."},{"ref":"NewsApi.Base.html#request_and_retry/4","title":"NewsApi.Base.request_and_retry/4","type":"function","doc":""},{"ref":"NewsApi.Everything.html","title":"NewsApi.Everything","type":"module","doc":""},{"ref":"NewsApi.Everything.html#search/2","title":"NewsApi.Everything.search/2","type":"function","doc":"Searches all the news with available parameters. q: Keywords or phrases to search for in the article title and body. Advanced search is supported here: Surround phrases with quotes (&quot;) for exact match. Prepend words or phrases that must appear with a + symbol. Eg: +bitcoin Prepend words that must not appear with a - symbol. Eg: -bitcoin Alternatively you can use the AND / OR / NOT keywords, and optionally group these with parenthesis. Eg: crypto AND (ethereum OR litecoin) NOT bitcoin. The complete value for q must be URL-encoded. qInTitle: Keywords or phrases to search for in the article title only. Advanced search is supported here: Surround phrases with quotes (&quot;) for exact match. Prepend words or phrases that must appear with a + symbol. Eg: +bitcoin Prepend words that must not appear with a - symbol. Eg: -bitcoin Alternatively you can use the AND / OR / NOT keywords, and optionally group these with parenthesis. Eg: crypto AND (ethereum OR litecoin) NOT bitcoin. The complete value for qInTitle must be URL-encoded. sources: A comma-seperated string of identifiers (maximum 20) for the news sources or blogs you want headlines from. Use the /sources endpoint to locate these programmatically or look at the sources index. domains: A comma-seperated string of domains (eg bbc.co.uk, techcrunch.com, engadget.com) to restrict the search to. excludeDomains: A comma-seperated string of domains (eg bbc.co.uk, techcrunch.com, engadget.com) to remove from the results. from: A date for the oldest article allowed. This should be in ISO 8601 format (e.g. 2020-01-30) Default: the oldest according to your plan. to: A date for the newest article allowed. This should be in ISO 8601 format (e.g. 2020-01-30) Default: the newest according to your plan. language: The 2-letter ISO-639-1 code of the language you want to get headlines for. Possible options: ar de en es fr he it nl no pt ru se ud zh. Default: all languages returned. sortBy: The order to sort the articles in. Possible options: relevancy, popularity, publishedAt. Default: publishedAt pageSize: int The number of results to return per page. 20 is the default, 100 is the maximum. page: int Use this to page through the results. Example iex&gt; NewsApi.Everything.search(%{ q: &#39;bitcoin&#39;, sources: &#39;bbc-news,the-verge&#39;, domains: &#39;bbc.co.uk,techcrunch.com&#39;, from: &#39;2017-12-01&#39;, to: &#39;2017-12-12&#39;, language: &#39;en&#39;, sortBy: &#39;relevancy&#39;, page: 2}, &quot;your_api_key&quot;) {:ok, { &quot;status&quot; =&gt; &quot;ok&quot;, &quot;totalResults&quot; =&gt; 3434, &quot;articles&quot; =&gt; [ %{ &quot;source&quot; =&gt; { &quot;id&quot; =&gt; &quot;mashable&quot;, &quot;name&quot; =&gt; &quot;Mashable&quot; }, &quot;author&quot; =&gt; &quot;Stan Schroeder&quot;, &quot;title&quot; =&gt; &quot;Bitcoin whale moves $1.1 billion in bitcoins for an $80 fee&quot;, &quot;description&quot; =&gt; &quot;Bitcoin hasn&#39;t (yet) fulfilled its original promise of being widely-used electronic cash, but it still offers some features that would be hard to achieve within the traditional banking system. Namely, moving $1.1 billion from one address to another, in a sing…&quot;, &quot;url&quot; =&gt; &quot;https://mashable.com/article/bitcoin-1-1-billion-transaction/&quot;, &quot;urlToImage&quot; =&gt; &quot;https://mondrian.mashable.com/2020%252F01%252F15%252F38%252Fd26e834787934c56a33fdeb39faa0be8.84e34.jpg%252F1200x630.jpg?signature=IHj6xz7nTFxvmjn6XOvUiHKJCIM=&quot;, &quot;publishedAt&quot; =&gt; &quot;2020-01-15T09:10:59Z&quot;, &quot;content&quot; =&gt; &quot;Bitcoin hasn&#39;t (yet) fulfilled its original promise of being widely-used electronic cash, but it still offers some features that would be hard to achieve within the traditional banking system. Namely, moving $1.1 billion from one address to another, in a sing… [+1589 chars]&quot; }, %{ &quot;source&quot; =&gt; { &quot;id&quot; =&gt; &quot;techcrunch&quot;, &quot;name&quot; =&gt; &quot;TechCrunch&quot; }, &quot;author&quot; =&gt; &quot;Josh Constine&quot;, &quot;title&quot; =&gt; &quot;The crypto rich find security in Anchorage&quot;, &quot;description&quot; =&gt; &quot;Not the city, the $57 million-funded cryptocurrency custodian startup. When someone wants to keep tens or hundreds of millions of dollars in Bitcoin, Ethereum, or other coins safe, they put them in Anchorage’s vault. And now they can trade straight from custo…&quot;, &quot;url&quot; =&gt; &quot;http://techcrunch.com/2020/01/15/anchorage-trading-from-custody/&quot;, &quot;urlToImage&quot; =&gt; &quot;https://techcrunch.com/wp-content/uploads/2020/01/Anchorage-Trading-1.png?w=740&quot;, &quot;publishedAt&quot; =&gt; &quot;2020-01-15T11:57:30Z&quot;, &quot;content&quot; =&gt; &quot;Not the city, the $57 million-funded cryptocurrency custodian startup. When someone wants to keep tens or hundreds of millions of dollars in Bitcoin, Ethereum, or other coins safe, they put them in Anchorage’s vault. And now they can trade straight from custo… [+3802 chars]&quot; }, %{ &quot;source&quot; =&gt; { &quot;id&quot; =&gt; &quot;business-insider&quot;, &quot;name&quot; =&gt; &quot;Business Insider&quot; }, &quot;author&quot; =&gt; &quot;Trista Kelley&quot;, &quot;title&quot; =&gt; &quot;No, bitcoin is not the new gold&quot;, &quot;description&quot; =&gt; &quot;Bitcoin bulls like to claim that bitcoin is a great haven investment, like gold, in times of geopolitical uncertainty. &quot;These people ignore all the times that it moves inversely with sentiment,&quot; says Oanda&#39;s Craig Erlam. &quot;Bitcoin is not gold and certainly not…&quot;, &quot;url&quot; =&gt; &quot;https://markets.businessinsider.com/currencies/news/bitcoin-not-new-gold-price-doesnt-correlate-safe-haven-asset-2020-1-1028798749&quot;, &quot;urlToImage&quot; =&gt; &quot;https://images.markets.businessinsider.com/image/5e145a76855cc2346900f816-2400/shutterstock241760587.jpg&quot;, &quot;publishedAt&quot; =&gt; &quot;2020-01-07T11:19:15Z&quot;, &quot;content&quot; =&gt; &quot;Shutterstock Bitcoin bulls like to claim that bitcoin is a great haven investment, like gold, in times of geopolitical uncertainty. \"These people ignore all the times that it moves inversely with sentiment,\" says Oanda's Craig Erlam.<li… [+2002 chars]\" }, %{ \"source\" => { \"id\" => \"mashable\", \"name\" => \"Mashable\" }, \"author\" => \"Jack Morse\", \"title\" => \"2019 was a phenomenal year for cryptocurrency (scams)\", \"description\" => \"Bust out the champagne, folks! It's time to celebrate. 2019 was one hell of a year for cryptocurrency. Or, more specifically, cryptocurrency scams. That's according to Chainalysis, a respected blockchain analysis company that works with law enforcement and th…\", \"url\" => \"https://mashable.com/article/cryptocurrency-crime-ponzi-schemes-2019-report/\", \"urlToImage\" => \"https://mondrian.mashable.com/2020%252F01%252F29%252Fc8%252F4f6062d2a40343ebbc0acd60e2466265.aa895.jpg%252F1200x630.jpg?signature=Jn5fRIHQU781OBvmtI8btPhDNms=\", \"publishedAt\" => \"2020-01-29T20:54:18Z\", \"content\" => \"Bust out the champagne, folks! It's time to celebrate. 2019 was one hell of a year for cryptocurrency. Or, more specifically, cryptocurrency scams. That's according to Chainalysis, a respected blockchain analysis company that works with law enforcement and … [+2253 chars]\" } ] } }"},{"ref":"NewsApi.Sources.html","title":"NewsApi.Sources","type":"module","doc":""},{"ref":"NewsApi.Sources.html#all/2","title":"NewsApi.Sources.all/2","type":"function","doc":""},{"ref":"NewsApi.TopHeadlines.html","title":"NewsApi.TopHeadlines","type":"module","doc":""},{"ref":"NewsApi.TopHeadlines.html#search/2","title":"NewsApi.TopHeadlines.search/2","type":"function","doc":"Searches the top headlines with available parameters country: The 2-letter ISO 3166-1 code of the country you want to get headlines for. Possible options: ae ar at au be bg br ca ch cn co cu cz de eg fr gb gr hk hu id ie il in it jp kr lt lv ma mx my ng nl no nz ph pl pt ro rs ru sa se sg si sk th tr tw ua us ve za . Note: you can&#39;t mix this param with the sources param. category: The category you want to get headlines for. Possible options: business entertainment general health science sports technology . Note: you can&#39;t mix this param with the sources param. sources: A comma-seperated string of identifiers for the news sources or blogs you want headlines from. Use the /sources endpoint to locate these programmatically or look at the sources index. Note: you can&#39;t mix this param with the country or category params. q: Keywords or a phrase to search for. pageSize: int The number of results to return per page (request). 20 is the default, 100 is the maximum. page: int Use this to page through the results if the total results found is greater than the page size. Example iex&gt; NewsApi.TopHeadlines.search(%{ q: &#39;bitcoin&#39;, sources: &#39;bbc-news,the-verge&#39;, category: &#39;business&#39;, language: &#39;en&#39;, country: &#39;us&#39;}, &quot;your_api_key&quot;) {:ok, %{ &quot;status&quot; =&gt; &quot;ok&quot;, &quot;totalResults&quot; =&gt; 38, &quot;articles&quot; =&gt; [ %{ &quot;source&quot; =&gt; %{ &quot;id&quot; =&gt; nil, &quot;name&quot; =&gt; &quot;Investors.com&quot; }, &quot;author&quot; =&gt; &quot;Investor&#39;s Business Daily&quot;, &quot;title&quot; =&gt; &quot;Dow Jones Today, Futures Dive On Fed, Coronavirus Risk; Microsoft, Qorvo, Lam Research Rally - Investor&#39;s Business Daily&quot;, &quot;description&quot; =&gt; &quot;ServiceNow led the S&amp;P 500, while Microsoft topped the Dow Jones today, but global markets fell hard as the coronavirus outbreak widened.&quot;, &quot;url&quot; =&gt; &quot;https://www.investors.com/market-trend/stock-market-today/dow-jones-today-futures-dive-fed-coronavirus-risk-microsoft-qorvo-lam-research-rally/&quot;, &quot;urlToImage&quot; =&gt; &quot;https://www.investors.com/wp-content/uploads/2017/04/Stock-bullbutt2-adobe.jpg&quot;, &quot;publishedAt&quot; =&gt; &quot;2020-01-30T13:59:00Z&quot;, &quot;content&quot; =&gt; &quot;Stocks took a leg down at Thursday&#39;s starting bell, as global markets read increasing economic impact into China&#39;s spreading coronavirus outbreak. Chip stocks were mixed but software stocks showed strength, as ServiceNow (NOW) headed the S&amp;amp;P 500 and Micro… [+6680 chars]&quot; }, %{ &quot;source&quot; =&gt; { &quot;id&quot; =&gt; nil, &quot;name&quot; =&gt; &quot;Nytimes.com&quot; }, &quot;author&quot; =&gt; &quot;Katie Robertson&quot;, &quot;title&quot; =&gt; &quot;Altria Takes a $4.1 Billion Hit on Juul Stake - The New York Times&quot;, &quot;description&quot; =&gt; &quot;Following an earlier write-down of $4.5 billion, the tobacco giant’s stake in the vaping start-up is now worth a fraction of what it paid in 2018.&quot;, &quot;url&quot; =&gt; &quot;https://www.nytimes.com/2020/01/30/business/juul-altria-vaping.html&quot;, &quot;urlToImage&quot; =&gt; &quot;https://static01.nyt.com/images/2020/01/30/world/30altria/30altria-facebookJumbo.jpg&quot;, &quot;publishedAt&quot; =&gt; &quot;2020-01-30T13:36:00Z&quot;, &quot;content&quot; =&gt; &quot;Altria reported a $4.1 billion write-down on its Juul Labs investment on Thursday, another sizable charge as the vaping crisis continues to roil the e-cigarette industry. The company now values its 35 percent stake in the e-cigarette company at $4.2 billion,… [+616 chars]&quot; } ] } }"},{"ref":"Sources.Params.html","title":"Sources.Params","type":"module","doc":""},{"ref":"Sources.Params.html#t:category/0","title":"Sources.Params.category/0","type":"type","doc":""},{"ref":"Sources.Params.html#t:country/0","title":"Sources.Params.country/0","type":"type","doc":""},{"ref":"Sources.Params.html#t:language/0","title":"Sources.Params.language/0","type":"type","doc":""},{"ref":"Sources.Params.html#t:t/0","title":"Sources.Params.t/0","type":"type","doc":""},{"ref":"TopHeadlines.Params.html","title":"TopHeadlines.Params","type":"module","doc":""},{"ref":"TopHeadlines.Params.html#check/1","title":"TopHeadlines.Params.check/1","type":"function","doc":""},{"ref":"TopHeadlines.Params.html#t:category/0","title":"TopHeadlines.Params.category/0","type":"type","doc":""},{"ref":"TopHeadlines.Params.html#t:country/0","title":"TopHeadlines.Params.country/0","type":"type","doc":""},{"ref":"TopHeadlines.Params.html#t:t/0","title":"TopHeadlines.Params.t/0","type":"type","doc":""}]